Create shared gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/networking/gateways \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"datapath": "<string>",
"gatewayClassName": "<string>",
"listeners": [
{
"certIssuer": "<string>",
"certOwner": "<string>",
"certSecret": "<string>",
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"hostname": "<string>",
"issuer": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"poolLabelKey": "<string>",
"poolLabelValue": "<string>",
"requestedIP": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/gateways"
payload = {
"datapath": "<string>",
"gatewayClassName": "<string>",
"listeners": [
{
"certIssuer": "<string>",
"certOwner": "<string>",
"certSecret": "<string>",
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"hostname": "<string>",
"issuer": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"poolLabelKey": "<string>",
"poolLabelValue": "<string>",
"requestedIP": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
datapath: '<string>',
gatewayClassName: '<string>',
listeners: [
{
certIssuer: '<string>',
certOwner: '<string>',
certSecret: '<string>',
conditions: [
{message: '<string>', reason: '<string>', status: '<string>', type: '<string>'}
],
hostname: '<string>',
issuer: '<string>',
name: '<string>',
port: 123,
protocol: '<string>'
}
],
name: '<string>',
namespace: '<string>',
poolLabelKey: '<string>',
poolLabelValue: '<string>',
requestedIP: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/gateways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'datapath' => '<string>',
'gatewayClassName' => '<string>',
'listeners' => [
[
'certIssuer' => '<string>',
'certOwner' => '<string>',
'certSecret' => '<string>',
'conditions' => [
[
'message' => '<string>',
'reason' => '<string>',
'status' => '<string>',
'type' => '<string>'
]
],
'hostname' => '<string>',
'issuer' => '<string>',
'name' => '<string>',
'port' => 123,
'protocol' => '<string>'
]
],
'name' => '<string>',
'namespace' => '<string>',
'poolLabelKey' => '<string>',
'poolLabelValue' => '<string>',
'requestedIP' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/gateways"
payload := strings.NewReader("{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/networking/gateways")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/gateways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}networking
Create shared gateway
Hybrid subnets — a proxy-ARP appliance on a source VLAN answers for the
Authorisation: gateway:Create on krn:celum:supervisor:{name}:gateway:*.
POST
/
api
/
supervisors
/
{name}
/
networking
/
gateways
Create shared gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/networking/gateways \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"datapath": "<string>",
"gatewayClassName": "<string>",
"listeners": [
{
"certIssuer": "<string>",
"certOwner": "<string>",
"certSecret": "<string>",
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"hostname": "<string>",
"issuer": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"poolLabelKey": "<string>",
"poolLabelValue": "<string>",
"requestedIP": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/networking/gateways"
payload = {
"datapath": "<string>",
"gatewayClassName": "<string>",
"listeners": [
{
"certIssuer": "<string>",
"certOwner": "<string>",
"certSecret": "<string>",
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"hostname": "<string>",
"issuer": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"poolLabelKey": "<string>",
"poolLabelValue": "<string>",
"requestedIP": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
datapath: '<string>',
gatewayClassName: '<string>',
listeners: [
{
certIssuer: '<string>',
certOwner: '<string>',
certSecret: '<string>',
conditions: [
{message: '<string>', reason: '<string>', status: '<string>', type: '<string>'}
],
hostname: '<string>',
issuer: '<string>',
name: '<string>',
port: 123,
protocol: '<string>'
}
],
name: '<string>',
namespace: '<string>',
poolLabelKey: '<string>',
poolLabelValue: '<string>',
requestedIP: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/networking/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/gateways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'datapath' => '<string>',
'gatewayClassName' => '<string>',
'listeners' => [
[
'certIssuer' => '<string>',
'certOwner' => '<string>',
'certSecret' => '<string>',
'conditions' => [
[
'message' => '<string>',
'reason' => '<string>',
'status' => '<string>',
'type' => '<string>'
]
],
'hostname' => '<string>',
'issuer' => '<string>',
'name' => '<string>',
'port' => 123,
'protocol' => '<string>'
]
],
'name' => '<string>',
'namespace' => '<string>',
'poolLabelKey' => '<string>',
'poolLabelValue' => '<string>',
'requestedIP' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/gateways"
payload := strings.NewReader("{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/networking/gateways")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/gateways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"datapath\": \"<string>\",\n \"gatewayClassName\": \"<string>\",\n \"listeners\": [\n {\n \"certIssuer\": \"<string>\",\n \"certOwner\": \"<string>\",\n \"certSecret\": \"<string>\",\n \"conditions\": [\n {\n \"message\": \"<string>\",\n \"reason\": \"<string>\",\n \"status\": \"<string>\",\n \"type\": \"<string>\"\n }\n ],\n \"hostname\": \"<string>\",\n \"issuer\": \"<string>\",\n \"name\": \"<string>\",\n \"port\": 123,\n \"protocol\": \"<string>\"\n }\n ],\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"poolLabelKey\": \"<string>\",\n \"poolLabelValue\": \"<string>\",\n \"requestedIP\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
Created. The body is not described: the code sends map[string]any.